* {
    font-family: sans-serif;
    font-size: 14px;
    text-decoration: none;
    margin: 0;
    padding: 0;
    box-sizing: border-box;    
}

body {    
    width: 100%;
    min-height: 100vh;
    background-color: rgb(243, 243, 243);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.insta-wrapper {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    min-width: 60%;
    height: 100vh;    
}

/*Container principal, do lado esquerdo*/

.insta-phone {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
    min-height: 43rem;
    margin: 0 20px;
}

.insta-phone > img {    
    width: 33rem;
}

/*Container principal, do lado direito*/

.insta-login-container {    
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    width: 50%;
    min-height: 48rem;
    margin-top: 20px;    
}

/*Container com os formulários. Parte de cima*/

.instagram-logo {
    width: 13rem;
    margin-top: 20px;    
}

.login-form-group {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    width: 90%;
    height: 28rem;
    padding: 1.3rem 0;
    margin-top: 10px;
    background-color: white;
    border: 1px solid lightgray;
}

.login > input {
    width: 20rem;
    height: 2rem;
    margin: 0.2rem;
    font-size: 0.85rem;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    padding: 0 1rem;
    background: #f2efed;
    border: 1px solid lightgray;
    border-radius: 3px;
    border-style: none;
}

.enter-btn > input {
    width: 20rem;
    height: 2rem;
    margin: 0.2rem;
    padding: 0.1rem;
    color: white;
    background-color: #1271b1;
    border-radius: 3px;
    border-style: none;
    font-weight: 600;
}

.login-other-group {
    display: flex;
    align-items: center;
}

.login-other {
    color: gray;
    margin: 0 20px;
    font-weight: 600;
}

.login-oth {    
    width: 7.8rem;
    height: 1px;
    border: 1px solid lightgray;    
}

.login-facebook {
    display: flex;    
}

.login-facebook > img {
    margin: 0 5px;
}

.login-fcbk-a {
    color:#385185;
    font-weight: 600;
}

.forget-pass {
    color:#385185;
    font-weight: 600;
    font-size: 12px;    
}

/*Formulários - caixa do centro*/

.new-account {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 90%;
    min-height: 5rem;
    padding: 1.3rem 0;
    background-color: white;
    border: 1px solid lightgray;
}

.new-acc {
    margin: 0 5px;
}

.new-user {
    color: #2e86c0;
    font-weight: 600;
}

/*Formulários - caixa de baixo*/

.getapp-group {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
}

/*Redimensionando imagens*/

.get-app {
    margin-top: 5px;
}

.get-app-imgs {
    display: flex;    
    padding: 1.5rem;
}

.get-app-dowload {
    margin: 0 0.3rem;
    width: 10rem;
}

/*Footer*/

.links-footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

.links-top > a, .links-mid > a, .links-bttm > a {
    font-size: 12px;
    font-weight: 400;
    color: #a0a0a0;
}

.links-mid {
    margin: 10px 0;
}

.links-bttm {
    margin-top: 20px;
    margin-bottom: 50px;
}

.links-ft, .links-fm, .links-fb {
    margin: 10px;    
}

/*Media Queries*/

@media (max-width: 1024px) {

    .insta-phone {
        display: none;
    }

    .insta-login-container {    
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-around;
        width: 50%;
        min-height: 48rem;
        margin-top: 20px;    
    }

    .insta-wrapper {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .insta-login-container {            
        min-width: 31rem;
        height: ;
    }
        
}

@media (max-width: 880px) {

    .links-top, .links-mid, .links-bttm {
        display: flex;
        flex-flow: row wrap;
        justify-content: center;
        margin: 
    }

    .links-top, .links-mid {
        margin: 1px 0;
    }
}
